Subject: Re: Building C++ library DLL
From: Vincent Penne <[email-masked]>
To: [email-masked]
Date: Sat, 13 Nov 1999 06:33:53 +0000

Harm-Jan Zwinderman wrote :

>
>> Steve Jorgensen wrote:
>
>> I'm not sure if this happens for C++, because this only happened
>> for me, but I found that if things were exported more than once
>> from the library, the extra compiler directives for DLL's caused
>> the CD compiler (gcc 2.90?) to barf, so you might check to see
>> you're class isn't getting exported more than once.
>
>I think this is more complicated. I also get this error
>Internal compiler error, output_operand_lossage `invalid expression
> as operand'
>when importing classes.
>
>Using the save-temps flag I have not found any duplicate
exports/imports in my code using mingw32 gcc 2.95.1.

I would like to add that exactly the same internal error happen with
egcs in the b20.1 release of cygwin ...

--
Want to unsubscribe from this list?
Send a message to [email-masked]